curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Huddle with zuddl.",
"teamName": "General",
"description": "join us to learn more about zuddl.",
"identifier": "event-123",
"startDate": "2025-04-11T12:30:00Z",
"endDate": "2025-04-14T12:30:00Z",
"timezone": "UTC/IST",
"status": "ONGOING/COMPLETED",
"type": "WEBINAR/FIELD_EVENT/EVENT",
"eventFormat": "VIRTUAL/IN_PERSON/HYBRID",
"websiteUrl": "https://zuddl.com",
"parentEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"venue": "<string>",
"address": {
"address": "<string>",
"addressLine2": "<string>",
"city": "San Francisco",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"coordinates": {
"latitude": "24.4194509",
"longitude": "27.4194509"
},
"mapUrl": "https://www.google.com/maps/place/?q=place_id:ChIJ_Q8bfYdGXj4Rz1s_sFHJqcA"
},
"virtualEventUrl": "https://zuddl.com",
"createdAt": "2025-04-11T12:30:00Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2025-04-11T12:30:00Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "tag1",
"name": "Webinar",
"color": "#AAFFEE",
"categoryId": "category1",
"categoryName": "Event type",
"categoryColor": "#BBDDEE",
"lastAppliedAt": "2025-09-01T06:31:35.711971Z",
"usageCount": 2
},
{
"id": "tag2",
"name": "Field Event",
"color": "#BBFFEE"
}
],
"customProperties": [
{
"key": "salesforceCampaignId",
"value": "ABCyyZ1234"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Get event details
Use this endpoint to retrieve the details of a specific event, webinar, or field event created in your Zuddl organization.
Required API key scopes: READ
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Response
Event details retrieved successfully
ID of the event
ID of the organization
Name of the event
"Huddle with zuddl."
TeamName of the event
"General"
Description of the event
"join us to learn more about zuddl."
Identifier of the event
"event-123"
startDate of the event
"2025-04-11T12:30:00Z"
endDate of the event
"2025-04-14T12:30:00Z"
Timezone of the event
"UTC/IST"
Status of the event
UPCOMING, ONGOING, CANCELED, COMPLETED "ONGOING/COMPLETED"
Type of the event
EVENT, FIELD_EVENT, WEBINAR, THIRD_PARTY_EVENT "WEBINAR/FIELD_EVENT/EVENT"
Format of the event
VIRTUAL, IN_PERSON, HYBRID "VIRTUAL/IN_PERSON/HYBRID"
websiteUrl of the event
"https://zuddl.com"
parentEventId of the event
location of the event
Show child attributes
Show child attributes
virtualEventUrl of the event
"https://zuddl.com"
createdAt of the event
"2025-04-11T12:30:00Z"
createdBy of the event
updatedAt of the event
"2025-04-11T12:30:00Z"
updatedBy of the event
Tags associated with the event
Show child attributes
Show child attributes
[
{
"id": "tag1",
"name": "Webinar",
"color": "#AAFFEE",
"categoryId": "category1",
"categoryName": "Event type",
"categoryColor": "#BBDDEE",
"lastAppliedAt": "2025-09-01T06:31:35.711971Z",
"usageCount": 2
},
{
"id": "tag2",
"name": "Field Event",
"color": "#BBFFEE"
}
]
Custom properties associated with the event, as key-value pairs (e.g. the Salesforce campaign ID).
Show child attributes
Show child attributes
Was this page helpful?